#### D.5.2.53 dualPart

Procedure from library `chern.lib` (see chern_lib).

Usage:
  dualPart( I [,N] ); I list of integers, N integer

Return:
  list of integers

Purpose:
  computes the partition dual (conjugate) to I

Note:
  the result is extended by zeroes to length N if an optional integer parameter N is given and the length of the computed dual partition is smaller than N

Example:

    LIB "chern.lib";
    // dual partition to (1, 3, 4):
    list I = 1, 3, 4;
    print( dualPart(I) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.